package cokr.xit.fims.sndb.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.fims.sndb.SndbQuery;
import cokr.xit.fims.sndb.Sndng;
import cokr.xit.fims.sndb.SndngDtl;
import cokr.xit.fims.sndb.Svbtc;
import cokr.xit.fims.sndb.service.Sndb01Service;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

/**발송 대장 서비스 구현체.
*
* <p>상세 설명:
*
* <pre>
* ============ 변경 이력 ============
* 2023-08-25	JoJH 최초 작성
* ================================
* </pre>
*/
@Service("sndb01Service")
public class Sndb01ServiceBean extends AbstractServiceBean implements Sndb01Service {

	/** 발송 대장 정보 Bean */
	@Resource(name = "sndb01Bean")
	private Sndb01Bean sndb01Bean;

	@Override
	public List<DataObject> getSndngList(SndbQuery req) {
		return sndb01Bean.getSndngList(req);
	}

	@Override
	public List<DataObject> getSndngs(SndbQuery req) {
		return sndb01Bean.getSndngs(req);
	}

	@Override
	public boolean createSndng(Sndng sndng) {
		return sndb01Bean.createSndng(sndng);
	}

	@Override
	public boolean updateSndng(Sndng sndng) {
		return sndb01Bean.updateSndng(sndng);
	}

	@Override
	public boolean removeSndng(Sndng sndng) {
		return sndb01Bean.removeSndng(sndng);
	}

	@Override
	public List<DataObject> getSndngDtlList(SndbQuery req) {
		return sndb01Bean.getSndngDtlList(req);
	}

	@Override
	public List<DataObject> getSndngDtls(SndbQuery req) {
		return sndb01Bean.getSndngDtls(req);
	}

	@Override
	public boolean createSndngDtl(SndngDtl sndngDtl) {
		return sndb01Bean.createSndngDtl(sndngDtl);
	}

	@Override
	public boolean updateSndngDtl(SndngDtl sndngDtl) {
		return sndb01Bean.updateSndngDtl(sndngDtl);
	}

	@Override
	public boolean removeSndngDtl(SndngDtl sndngDtl) {
		return sndb01Bean.removeSndngDtl(sndngDtl);
	}

	@Override
	public List<DataObject> getSvbtcList(SndbQuery req) {
		return sndb01Bean.getSvbtcList(req);
	}

	@Override
	public List<DataObject> getSvbtcs(SndbQuery req) {
		return sndb01Bean.getSvbtcs(req);
	}

	@Override
	public boolean createSvbtc(Svbtc svbtc) {
		return sndb01Bean.createSvbtc(svbtc);
	}

	@Override
	public boolean updateSvbtc(Svbtc svbtc) {
		return sndb01Bean.updateSvbtc(svbtc);
	}

	@Override
	public boolean removeSvbtc(Svbtc svbtc) {
		return sndb01Bean.removeSvbtc(svbtc);
	}

}
